'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BreadcrumbSeparator = function BreadcrumbSeparator() {
  var className = (0, _classnames2.default)('ui-breadcrumb-separator');

  return _react2.default.createElement(
    'div',
    { className: className },
    _react2.default.createElement(_Icon.Icon, { name: 'caret-right', noMargin: true })
  );
};

exports.default = BreadcrumbSeparator;