'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Circle(_ref) {
  var theme = _ref.theme;

  return _react2.default.createElement('span', { className: (0, _classnames2.default)('ui-circle', 'ui-circle-theme-' + theme) });
}

Circle.propTypes = {
  theme: _react2.default.PropTypes.string.isRequired
};

Circle.defaultProps = {
  theme: 'default'
};

exports.default = Circle;