'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Copyable = function Copyable(props) {
  var value = String(props.children);
  var children = props.children;
  var copy = function copy() {
    var aux = document.createElement('input');
    aux.style.position = 'fixed';
    aux.style.top = 0;
    aux.setAttribute('value', value);
    document.body.appendChild(aux);
    aux.select();
    document.execCommand('copy');
    document.body.removeChild(aux);
  };

  return _react2.default.createElement(
    'span',
    { className: 'ui-copyable' },
    _react2.default.createElement(
      'span',
      { className: 'ui-copyable-text', onClick: copy },
      children
    )
  );
};

Copyable.propTypes = {
  children: _react2.default.PropTypes.node
};

Copyable.defaultProps = {};

exports.default = Copyable;