'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DashboardItem(_ref) {
  var children = _ref.children,
      size = _ref.size;

  var className = (0, _classnames2.default)('ui-dashboard-item', 'ui-dashboard-item-size-' + size);

  return _react2.default.createElement(
    'div',
    { className: className },
    children
  );
}

DashboardItem.propTypes = {
  children: _react2.default.PropTypes.node,
  size: _react2.default.PropTypes.oneOf(['default', 'wide', 'full']).isRequired
};

DashboardItem.defaultProps = {
  size: 'default'
};
exports.default = DashboardItem;