'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Box = require('../Box');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Debug(_ref) {
  var data = _ref.data,
      label = _ref.label,
      hide = _ref.hide;

  return !hide && _react2.default.createElement(
    _Box.Box,
    null,
    label && _react2.default.createElement(
      _Box.BoxHeader,
      null,
      label
    ),
    _react2.default.createElement(
      _Box.BoxContent,
      null,
      _react2.default.createElement(
        'pre',
        null,
        JSON.stringify(data, null, 2)
      )
    )
  );
}

Debug.propTypes = {
  data: _react2.default.PropTypes.any.isRequired,

  // An optional label
  label: _react2.default.PropTypes.string,

  hide: _react2.default.PropTypes.bool
};

exports.default = Debug;