'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DetailsItem(_ref) {
  var grow = _ref.grow,
      label = _ref.label,
      value = _ref.value;

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ui-details-item', { 'ui-details-item-grow': grow }) },
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ui-details-item-label') },
      label
    ),
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ui-details-item-value') },
      value
    )
  );
}

DetailsItem.propTypes = {
  label: _react2.default.PropTypes.string,
  value: _react2.default.PropTypes.node,
  grow: _react2.default.PropTypes.bool
};

exports.default = DetailsItem;