'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GridContainer = function GridContainer(props) {
  var children = props.children;
  var fluid = props.fluid;

  return _react2.default.createElement(
    'div',
    {
      className: (0, _classnames2.default)({
        container: !fluid,
        'container-fluid': fluid
      })
    },
    children
  );
};

// Utils


GridContainer.propTypes = {
  fluid: _react2.default.PropTypes.bool,
  children: _react2.default.PropTypes.node
};

GridContainer.defaultProps = {
  fluid: false
};

exports.default = GridContainer;