'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _decorators = require('../../decorators');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Utils
var GridRow = function GridRow(props) {
  var children = props.children;
  var flex = props.flex;

  var classes = [];

  classes.push('row');

  if (flex) {
    classes.push('ui-flex-gird');
  }

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)(classes) },
    children
  );
};

// Decorators


GridRow.propTypes = {
  children: _react2.default.PropTypes.node,
  flex: _react2.default.PropTypes.bool
};

exports.default = (0, _decorators.spaceable)(GridRow);