'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Spinner = require('../Spinner');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function KpiHorizon(_ref) {
  var value = _ref.value,
      label = _ref.label,
      loading = _ref.loading;

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ui-kpi-horizon') },
    label && _react2.default.createElement(
      'div',
      { className: 'ui-kpi-horizon-description' },
      label
    ),
    _react2.default.createElement(
      'div',
      { className: 'ui-kpi-horizon-value' },
      loading ? _react2.default.createElement(_Spinner.Spinner, { muted: true }) : value
    )
  );
}

KpiHorizon.propTypes = {
  value: _react2.default.PropTypes.node,
  label: _react2.default.PropTypes.string,
  loading: _react2.default.PropTypes.bool
};

exports.default = KpiHorizon;