'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Media = function Media(_ref) {
  var compact = _ref.compact,
      children = _ref.children;

  var className = (0, _classnames2.default)('ui-media', {
    'ui-media-compact': compact
  });

  return _react2.default.createElement(
    'div',
    { className: className },
    children
  );
};

Media.propTypes = {
  children: _react2.default.PropTypes.node,
  compact: _react2.default.PropTypes.bool
};

Media.defaultProps = {
  compact: false,
  children: null
};

exports.default = Media;