'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tab = function Tab(props) {
  return _react2.default.createElement(
    'div',
    {
      className: (0, _classnames2.default)('ui-tab', {
        'ui-tab-active': props.active,
        'ui-tab-padding': props.padding
      })
    },
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ui-tab-content') },
      props.children
    )
  );
};

Tab.propTypes = {
  active: _react2.default.PropTypes.bool,
  padding: _react2.default.PropTypes.bool,
  children: _react2.default.PropTypes.node
};

Tab.defaultProps = {
  disabled: false
};

exports.default = Tab;