'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function TagList(_ref) {
  var children = _ref.children;

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ui-tag-list') },
    children
  );
}

TagList.propTypes = {
  /**
   * The tags
   * @type {Object}
   */
  children: _react2.default.PropTypes.any
};

exports.default = TagList;