'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// React
var WunderyLogo = function WunderyLogo(props) {
  return _react2.default.createElement('div', {
    className: (0, _classnames2.default)('ui-wundery-logo', {
      'ui-wundery-ui-logo-size-small': props.small,
      'ui-wundery-ui-logo-size-tiny': props.tiny
    })
  });
};

// Utils


WunderyLogo.propTypes = {
  small: _react2.default.PropTypes.bool,
  tiny: _react2.default.PropTypes.bool
};

WunderyLogo.defaultProps = {
  children: _react2.default.PropTypes.node
};

exports.default = WunderyLogo;