'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Flex = require('../Flex');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Apps(_ref) {
  var children = _ref.children,
      itemWidths = _ref.itemWidths;

  return _react2.default.createElement(
    'div',
    { className: 'ui-apps' },
    _react2.default.createElement(
      _Flex.Flex,
      null,
      [].concat(children).map(function (child, index) {
        return _react2.default.createElement(
          _Flex.FlexItem,
          { key: index, widths: itemWidths },
          child
        );
      })
    )
  );
}

Apps.propTypes = {
  children: _react2.default.PropTypes.any,
  itemWidths: _react2.default.PropTypes.object.isRequired
};

Apps.defaultProps = {
  itemWidths: { md: 4 }
};

exports.default = Apps;