'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _utils = require('../Spacing/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function BadgeGroup(_ref) {
  var children = _ref.children,
      margin = _ref.margin;

  var style = (0, _utils.spacingStyles)({ margin: margin });

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ui-badge-group'), style: style },
    children
  );
}

BadgeGroup.propTypes = {
  children: _react2.default.PropTypes.node,
  margin: _react2.default.PropTypes.string
};

exports.default = BadgeGroup;