'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Code = Code;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('../Spacing/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line import/prefer-default-export
function Code(_ref) {
  var children = _ref.children,
      margin = _ref.margin;

  var style = (0, _utils.spacingStyles)({ margin: margin });
  return _react2.default.createElement(
    'div',
    { className: 'ui-code', style: style },
    children
  );
}

Code.propTypes = {
  children: _react2.default.PropTypes.node,
  margin: _react2.default.PropTypes.string
};