'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Filter = function (_Component) {
  _inherits(Filter, _Component);

  function Filter(props) {
    _classCallCheck(this, Filter);

    var _this = _possibleConstructorReturn(this, (Filter.__proto__ || Object.getPrototypeOf(Filter)).call(this, props));

    _initialiseProps.call(_this);

    var active = _this.props.active;


    _this.state = {
      active: active
    };
    return _this;
  }

  _createClass(Filter, [{
    key: 'render',
    value: function render() {
      var title = this.props.title;
      var active = this.state.active;


      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)('ui-filter'), onClick: this.onFilterChange },
        _react2.default.createElement('input', {
          type: 'checkbox',
          checked: active
        }),
        ' ',
        title
      );
    }
  }]);

  return Filter;
}(_react.Component);

Filter.propTypes = {
  title: _react2.default.PropTypes.string.isRequired,
  onChange: _react2.default.PropTypes.func.isRequired,
  active: _react2.default.PropTypes.bool
};
Filter.defaultProps = {
  active: false
};

var _initialiseProps = function _initialiseProps() {
  var _this2 = this;

  this.onFilterChange = function () {
    var onChange = _this2.props.onChange;
    var active = _this2.state.active;


    var nextActive = !active;

    _this2.setState({ active: nextActive });

    onChange(nextActive);
  };
};

exports.default = Filter;