'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Funnel(_ref) {
  var children = _ref.children,
      style = _ref.style;

  var className = (0, _classnames2.default)('ui-funnel');
  return _react2.default.createElement(
    'div',
    { className: className, style: style },
    children
  );
}

Funnel.propTypes = {
  children: _react2.default.PropTypes.node,
  style: _react2.default.PropTypes.object
};

Funnel.defaultProps = {
  children: null,
  style: null
};

exports.default = (0, _hocs.spacable)(Funnel);