'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Box = require('../Box');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Info(_ref) {
  var children = _ref.children,
      margin = _ref.margin;

  return _react2.default.createElement(
    _Box.Box,
    { theme: 'info', margin: margin },
    _react2.default.createElement(
      _Box.BoxContent,
      null,
      children
    )
  );
}

Info.propTypes = {
  children: _react2.default.PropTypes.node,
  margin: _react2.default.PropTypes.string
};

Info.defaultProps = {
  children: null,
  margin: null
};

exports.default = Info;