'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _utils = require('../Spacing/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Line(_ref) {
  var children = _ref.children,
      margin = _ref.margin,
      left = _ref.left;

  var style = (0, _utils.spacingStyles)({ margin: margin });
  var className = (0, _classnames2.default)('ui-line', {
    'ui-line-label-left': left
  });

  return _react2.default.createElement(
    'div',
    { className: className, style: style },
    children && _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ui-line-content') },
      children
    )
  );
}

Line.propTypes = {
  children: _react2.default.PropTypes.node,
  left: _react2.default.PropTypes.bool,
  margin: _react2.default.PropTypes.string
};

exports.default = Line;