'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// React
var NavItem = function NavItem(props) {
  return _react2.default.createElement(
    'div',
    {
      className: (0, _classnames2.default)('ui-nav-navitem', {
        'ui-nav-navitem-right': props.right,
        'ui-nav-navitem-brand': props.brand
      })
    },
    props.children
  );
};

// Utils


NavItem.propTypes = {
  right: _react2.default.PropTypes.bool,
  brand: _react2.default.PropTypes.bool,
  children: _react2.default.PropTypes.node
};

exports.default = NavItem;