'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SidebarItem = function SidebarItem(props) {
  return _react2.default.createElement(
    'div',
    {
      className: (0, _classnames2.default)('ui-sidebar-item', {
        'ui-sidebar-item-active': props.active
      })
    },
    props.children
  );
};

// Utils


SidebarItem.propTypes = {
  active: _react2.default.PropTypes.bool,
  children: _react2.default.PropTypes.node
};

exports.default = SidebarItem;