'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Tab(_ref) {
  var active = _ref.active,
      padding = _ref.padding,
      children = _ref.children;

  var className = (0, _classnames2.default)('ui-tab', {
    'ui-tab-active': active,
    'ui-tab-padding': padding
  });

  return _react2.default.createElement(
    'div',
    { className: className },
    _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ui-tab-content') },
      children
    )
  );
}

Tab.propTypes = {
  active: _react2.default.PropTypes.bool,
  padding: _react2.default.PropTypes.bool,

  // eslint-disable-next-line react/no-unused-prop-types
  builder: _react2.default.PropTypes.func,
  children: _react2.default.PropTypes.node
};

Tab.defaultProps = {
  disabled: false
};

exports.default = Tab;