"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tooltip = function Tooltip(props) {
  return _react2.default.createElement(
    "span",
    { className: "ui-tooltip" },
    _react2.default.createElement(
      "span",
      { className: "ui-tooltip-content" },
      props.content
    ),
    props.children
  );
};

Tooltip.propTypes = {
  children: _react2.default.PropTypes.any,
  content: _react2.default.PropTypes.node
};

Tooltip.defaultProps = {
  position: 'bottom'
};

exports.default = Tooltip;