'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spacing = exports.randomString = exports.isPromise = exports.hasParentTheClass = exports.childValidator = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.merge = merge;
exports.move = move;

var _childValidator2 = require('./childValidator');

var _childValidator3 = _interopRequireDefault(_childValidator2);

var _hasParentTheClass2 = require('./hasParentTheClass');

var _hasParentTheClass3 = _interopRequireDefault(_hasParentTheClass2);

var _isPromise2 = require('./isPromise');

var _isPromise3 = _interopRequireDefault(_isPromise2);

var _randomString2 = require('./randomString');

var _randomString3 = _interopRequireDefault(_randomString2);

var _spacing2 = require('./spacing');

var _spacing3 = _interopRequireDefault(_spacing2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

exports.childValidator = _childValidator3.default;
exports.hasParentTheClass = _hasParentTheClass3.default;
exports.isPromise = _isPromise3.default;
exports.randomString = _randomString3.default;
exports.spacing = _spacing3.default;
function merge(base, mergeIn) {
  return _extends({}, base, mergeIn);
}

/**
 * Move utility
 */
function move(arr, from, to) {
  var newArr = [].concat(_toConsumableArray(arr));
  newArr.splice(to, 0, newArr.splice(from, 1)[0]);
  return newArr;
}